/**
 * BeendenAction.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.Action;

import eu.gronos.kostenrechner.Kostenrechner;

/**
 * Der Action beenden beendet den {@link Kostenrechner} über den
 * {@link BeendenHorcher}. {@link KeyEvent#VK_E}
 *
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class BeendenAction extends BeschriebeneAktion {
	private static final long serialVersionUID = -2268718567794925181L;

	/**
	 * Konstruktor.
	 * 
	 * @param name             {@link Action#NAME}
	 * @param shortDescription {@link Action#SHORT_DESCRIPTION}
	 * @param mnemonic         {@link Action#MNEMONIC_KEY}
	 * @param actionCommandKey {@link Action#ACTION_COMMAND_KEY}
	 */
	public BeendenAction(String name, String shortDescription, int mnemonic, String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		BeendenHorcher.beendeKostenrechner();
	}
}